import { ISanitizer } from '@jupyterlab/apputils';
import { FileEditor, IEditorTracker } from '@jupyterlab/fileeditor';
import { INotebookTracker, NotebookPanel } from '@jupyterlab/notebook';
import { TableOfContentsRegistry } from './registry';
/**
 * Create a TOC generator for notebooks.
 *
 * @param tracker: A notebook tracker.
 *
 * @returns A TOC generator that can parse notebooks.
 */
export declare function createNotebookGenerator(tracker: INotebookTracker, sanitizer: ISanitizer): TableOfContentsRegistry.IGenerator<NotebookPanel>;
/**
 * Create a TOC generator for markdown files.
 *
 * @param tracker: A file editor tracker.
 *
 * @returns A TOC generator that can parse markdown files.
 */
export declare function createMarkdownGenerator(tracker: IEditorTracker): TableOfContentsRegistry.IGenerator<FileEditor>;
/**
 * Create a TOC generator for LaTeX files.
 *
 * @param tracker: A file editor tracker.
 *
 * @returns A TOC generator that can parse LaTeX files.
 */
export declare function createLatexGenerator(tracker: IEditorTracker): TableOfContentsRegistry.IGenerator<FileEditor>;
